<?

header("Cache-Control: no-cache");
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php"); 
$ref=rand(10000,1000000);   
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("version.php");

if (!isset($rm)) $rm = 1;
$ringame = "ingame".$rm; 
$rmafaction = "mafaction".$rm;

$us=$row["user"];

if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<head><meta http-equiv=\"Cache-Control\" content=\"no-cache\" forua=\"true\"/></head>\n";
echo "<card id=\"help\" title=\"Что делать?\">\n";
echo "<p>\n";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Что делать?</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"left\">";
}
echo $fsize1; 

mysql_query ("select * from $ringame WHERE gamer_id = '".$id."'");
if (mysql_affected_rows()!=0) $gmes = 1; else $gmes = 0;  
mysql_query("select * from $ringame WHERE role != ''");    
if (mysql_affected_rows()!=0){
if ($gmes ==1) {
$r = mysql_query("select * from $rmafaction");
$a = mysql_fetch_array($r);
if ($a["action"]=="game_day") echo "Сейчас: <b>ночь</b><br/>\n"; 
else echo "Сейчас: <b>день</b><br/>\n";

$r = mysql_query("select * from $ringame WHERE gamer_id = '".$id."'");
$a = mysql_fetch_array($r);
$role = $a["role"];
switch ($role){
                
case "обыватель" : 
$hp = "Вы простой мирный житель. Когда длится ночь, вы бездействуете, когда же наступает день, Вы можете голосовать вместе со всеми за казнь любого человека. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех мафов.";
break; 

case "комиссар катани" : 
$hp = "Вы комиссар катани. Во время ночи вы можете проверить любого человека (''!номер'', без кавычек, например, !1) или сразу убить без проверки (''!!номер''), пишите без обращения в приват Мафу. Если вы проверяли человека, после ночи Маф сообщит Вам, мафиози он или нет. Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех мафов.";
break;
                
case "главарь мафии" : 
$hp = "Вы главарь мафии. У вас есть сообщники (обычные мафиози), которые заодно с вами. В начале ночи Вам сообщаются ники всех мафов. Ночью вы можете убить любого человека (''!номер'', в приват Мафу, без кавычек и обращения, например, !1). Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех мирных и маньяка.";
break;
                
case "доктор" : 
$hp = "Вы доктор. Ночью вы можете лечить любого человека (''!номер'', без кавычек, в приват Мафу, без обращения. Например, !1). Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех Мафов.";
break;
                
case "маньяк" : 
$hp = "Вы маньяк. Нейтральный персонаж. Подобно мафии, ночью можете убить любого человека (''!номер'', в приват Мафу, без кавычек и обращения. Например, !1). Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех Мафов.";
break;
                
case "путана" : 
$hp = "Вы проститутка:) Ночью можете пристать к любому приглянувшимуся вам человеку (''!номер'', без кавычек и обращения в приват к Мафу, например, !1), в результате тот будет неспособным делать какие-либо действия ночью. Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех Мафов.";
break;
                
case "бомж" : 
$hp = "Вы бомж. Ночью ройтесь в карманах у любого человека (''!номер'', в приват Мафу, без кавычек и обращения, например, !1), Маф после ночи сообщит Вам, кто он на самом деле. Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех Мафов.";
break;
                
case "мафиози" : 
$hp = "Вы шестерка мафии. Пока жив главарь, делать ночью ничего не можете. Как только его убивают, есть шанс, что вы станете новым главарем. Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех мирных.";
break;
                
case "горец" : 
$hp = "Вы горец. Бессмертный. Почти:) Убить вас может только маньяк или жители днем. Ночью ничего не делаете. Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех мирных.";
break;   
                
case "клоун" :
$hp = "Вы клоун. Один раз за игру ночью вы можете поменять роли любых двух игроков (''!номер !номер'', через пробел, без кавычек, в приват Мафу). Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех мирных.";
break;
               
case "жена комиссара" : 
$hp = "Вы жена комиссара. После того, как убили комиссара, вы один раз ночью можете убить любого человека. (''!номер'', в приват Мафу, без кавычек). Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех мирных.";
break;
} 
      
echo "$hp<br/>\n";
}else echo "Подождите, пока закончится текущая игра. Вы сможете участвовать только в следующем коне.<br/>\n";
}else{
$r = mysql_query("select * from $rmafaction");
$a = mysql_fetch_array($r); 
if ($a["action"]!= "registration")echo "Игра не запущена. Для запуска нажмите !старт<br/>\n"; 
else echo "Идет регистрация. Для участия в игре введите !рег<br/>\n";}

echo "<br/>\n";
echo "<a href=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">в игру</a>\n";    
echo $fsize2;
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
?>